from django.urls import path, re_path
from ecobox import views

urlpatterns = [
    path("", views.commande, name="commande"),
    path(
        "interface_commande_admin/",
        views.interface_commande_admin,
        name="interface_commande_admin",
    ),
    path("commander/<int:dt>/", views.commande_user, name="commande_user"),
    path("commande_admin/<int:dt>/", views.commande_admin, name="commande_admin"),
    path("liste_commande/", views.liste_commande, name="liste_commande"),
    path("liste_commande/ticket/<int:ident>", views.vue_commande, name="vue_commande"),
    re_path(
        r"^ticket/(?P<ident>\d+)/(?P<hashadmin>[a-zA-Z0-9]{128})$",
        views.vue_commande,
        name="vue_commande",
    ),
    path(
        "liste_commande/annuler_commande/<int:ident>",
        views.annuler_commande,
        name="annuler_commande",
    ),
    re_path(
        r"^annuler_commande/(?P<ident>\d+)/(?P<hashadmin>[a-zA-Z0-9]{128})$",
        views.annuler_commande,
        name="annuler_commande",
    ),
]
